// c't-Puzzle.cpp : Copyright Johannes Singler, Karlsruhe 2003
// Hauptprogramm der Win32-Konsolen-Anwendung

#include "stdafx.h"
#include "Puzzle.h"

using namespace std;

//         y
//		 (u)p
//(l)eft       (r)ight  x       (b)ack     (f)ront  z         (s)tart
//      (d)own

Part* ctParts[] =	{
						new Part("slddr"),		//c
						new Part("slddl"),		//"5"
						new Part("sdddl"),		//L
						new Part("sdrldd"),
						new Part("sfdbr"),
						new Part("srrldd"),		//T
						new Part("sdldr"),
						new Part("sdrdr"),		//w
						new Part("sbdr"),
						new Part("sdrdur"),
						new Part("sdlrrld"),	//+
						new Part("sdrlddr"),	//t
						NULL
					};

Puzzle ctPuzzle(xD, yD, zD);

int _tmain(int argc, _TCHAR* argv[])	//Das war der Wizard, Hauptsache, es funktioniert
{
	
	for(int i = 0; i < numParts; i++)
	{
		ctParts[i]->partNo = i;
        ctPuzzle.addPart(ctParts[i]);
	}

	int numPossibilities = ctPuzzle.solve();

	cout << "Number of possibilities to solve the c't Puzzle: " << numPossibilities << endl;
	cout << "Copyright 2003 Johannes Singler" << endl;
	waitkey();
	return 0;
}

